Get Timeline Events

Get Timeline Events
get timeline events for HA groups

get timeline events for HA groups

Request
URI
GET
https://{server}/hybridity/api/interconnect/appliances/ha/groups/events/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

serviceMeshId of a Service Mesh for which the Timelne events are to be returned

Query Parameters
number
startTime
Optional
Constraints: minimum: 0 default: 0

events generated after startTime to be returned

number
endTime
Optional
Constraints: minimum: 0 default: 0

events generated before endTime to be returned

string
haGroupIDs
Optional

groupIds (in comma separated string format) of HA Groups for which the Timeline events are to be returned


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns getTimelineEventsResponse of type(s) application/json
{
    "items": [
        {
            "haGroupId": "string",
            "haGroupName": "string",
            "detailedMessage": "string",
            "timestamp": "string",
            "eventCode": "string",
            "eventMessage": "string",
            "applianceRoles": {
                "active": [
                    "string"
                ],
                "standby": [
                    "string"
                ],
                "undecided": [
                    "string"
                ]
            }
        }
    ]
}
array of object
items
Optional

items


400

Bad Request

Returns GroupActionBadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns HAInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/appliances/ha/groups/events/{serviceMeshId}